Subject: bug#5667: 23.1.93; cursor movement in Korean text is slow with xfonts-baekmuk

From: Kenichi Handa <[email-masked]>
Date: Thu, 01 Apr 2010 16:59:25 +0900

Very sorry for the late response on this matter.

In article <[email-masked]>, Jae-hyeon Park <[email-masked]> writes:

> I am sorry if you are seeing this report more than once as I have
> already posted about this problem to emacs-devel (which I suppose was
> not the right list for a bug report).

> I use the baekmuk bitmap font (available as the xfonts-baekmuk package
> in debian for instance) to display Korean characters in emacs.  When
> there are many Korean characters in a buffer, moving the cursor among
> the Korean characters takes a long time (like a few seconds on my laptop
> which is a fairly new hardware).  It is weird that this symptom occurs
> only if I use this particular font.  However, the same font causes no
> trouble when I am using emacs 22.

> How to reproduce:

> 1) Start emacs with

>     $ emacs -Q -xrm 'Emacs.FontBackend: x' &

> 2) In the scratch buffer, evaluate the following code

>     (create-fontset-from-fontset-spec
>      "-misc-fixed-medium-r-normal--15-140-75-75-c-90-fontset-baekmuk,
>       ascii:-misc-fixed-medium-r-normal--15-140-75-75-c-90-iso8859-1")
>     (set-fontset-font "fontset-baekmuk" 'korean-ksc5601
>      "-baekmuk-gulim-medium-r-normal--18-180-75-75-m-180-ksc5601.1987-0")
>     (set-frame-font "fontset-baekmuk")

> 3) In the same frame, fill a whole emacs window with Korean characters.
>    For instance, open the sample Korean text file that can be downloaded
>    from https://bugs.launchpad.net/bugs/471597.

> 4) Try to move the cursor downwards by pressing C-n several times

I've just confirmed this problem.  Strangely that slowness
doesn't happen with the other fonts (e.g. daewoo-mincho).
I'm now investigating what is wrong.

---
Kenichi Handa
[email-masked]